Вы находитесь здесь

Форум

Playonlinux ne démarre plus...

Pol 4.0.18 - Ubuntu 12.04 32bits

Автор Replies
Freikland Monday 30 April 2012 at 15:17
FreiklandAnonymous

Bonjour,

Depuis Ubuntu 11.10, j'utilise playonlinux et ce dernier fonctionnait normalement.
Depuis ma migration vers la 12.04, lors du lancement de playonlinux, rien ne se passe, hormis un "rapport d'anomalie" signifiant un crash de celui-ci.

12.04 LTS 32bits
Wine-gecko1.5(1.5.2-oubuntu~ppa1~precise1+pulse)

puis wine-1.5.3 oubuntu1~ppa1~precise4+pulse17
Playonlinux 4.0.17 (puis 4.0.18 par les dépôts precise, mais aucun changement)

Impossible d'avoir accès à l'interface graphique, en console ça me renvoie ça :


[install_plugins] Message: Vérification de l'extension : Capture...
[Check_OpenGL] Message: 32bits direct rendering is enabled
[install_plugins] Message: Vérification de l'extension : Transgaming Cedega...
Traceback (most recent call last):
  File "mainwindow.py", line 792, in <module>
    app = PlayOnLinuxApp(redirect=False)
  File "/usr/lib/python2.7/dist-packages/wx-2.6-gtk2-unicode/wx/_core.py", line 7700, in __init__
    self._BootstrapApp()
  File "/usr/lib/python2.7/dist-packages/wx-2.6-gtk2-unicode/wx/_core.py", line 7352, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "mainwindow.py", line 738, in OnInit
    self.frame = MainWindow(None, -1, os.environ["APPLICATION_TITLE"])
  File "mainwindow.py", line 281, in __init__
    self.jauge_update.Pulse()
AttributeError: 'Gauge' object has no attribute 'Pulse'
Exception TypeError: 'join() takes exactly 2 arguments (1 given)' in <module 'threading' from '/usr/lib/python2.7/threading.pyc'> ignored
/usr/share/playonlinux/playonlinux: ligne 97: python2.6 : commande introuvable
marc@ubuntu:~$ [install_plugins] Message: Vérification de l'extension : Wine Import...
[install_plugins] Message: Vérification de l'extension : Wine Look...
[install_plugins] Message: Vérification de l'extension : Screen Capture...
[install_plugins] Message: Vérification de l'extension : PlayOnLinux Va
ult...

J'ai tenté ceci sans plus de succès :

sudo bash -c 'DISTRIB_CODENAME=$(command lsb_release -cs); command wget "http://deb.playonlinux.com/playonlinux_${DISTRIB_CODENAME}.list" \\ --output-document="/etc/apt/sources.list.d/playonlinux.list"; command wget -q "http://deb.playonlinux.com/public.gpg" \\ --output-document="-" \\ | command apt-key add -; command apt-get update; command apt-get -y install playonlinux mesa-utils'

Qu'en pensez vous ?


petch Monday 30 April 2012 at 15:18
petch
Developer

http://www.playonlinux.com/fr/issue-831.html
Freikland Tuesday 1 May 2012 at 9:11
FreiklandAnonymous

Bonjour,

Je constate que wxgt2.6 et wxgt2.8 sont installés sur mon système. (12.04)
J'ai désinstallé python-wxgt2.6 pour voir.
Voici le retour de la console ensuite :

marc@ubuntu:~$ playonlinux
Traceback (most recent call last):
  File "mainwindow.py", line 30, in <module>
    import wx
ImportError: No module named wx
/usr/share/playonlinux/playonlinux: ligne 97: python2.6 : commande introuvable

Apparemment, wxgt2.6 serait necessaire au fonctionnement de POL ?



Quentin PÂRIS Tuesday 1 May 2012 at 9:45
Quentin PÂRIS
Admin

Non, c'est un bug lié à python

Essais avec la 4.0.19-dev
Freikland Tuesday 1 May 2012 at 10:18
FreiklandAnonymous

Je veux bien essayer, mais à priori la 4.0.18-dev semble la dernière disponible...
Où trouver la 4.0.19-dev ?
Dois-je ou pas réinstaller python-wxgt2.6 ?
Quentin PÂRIS Tuesday 1 May 2012 at 10:36
Quentin PÂRIS
Admin

Pas besoin,

Pour la 4.0.19-dev c'est la commande avec git sur la page de téléchargement
Freikland Tuesday 1 May 2012 at 11:19
FreiklandAnonymous

Pardonnez mon ignorance, j'ai exécuté la commande :

marc@ubuntu:~$ git clone https://github.com/PlayOnLinux/POL-POM-4
Cloning into 'POL-POM-4'...
remote: Counting objects: 17595, done.
remote: Compressing objects: 100% (2117/2117), done.
remote: Total 17595 (delta 9394), reused 17516 (delta 9318)
Receiving objects: 100% (17595/17595), 14.72 MiB | 231 KiB/s, done.
Resolving deltas: 100% (9394/9394), done.

Maintenant que dois-je faire ?
J'avoue être quelque peu perdu là...






Quentin PÂRIS Tuesday 1 May 2012 at 11:29
Quentin PÂRIS
Admin

Ben ensuite, il faut ouvrir PlayOnLinux en faisant cd POL-POM-4, puis ./playonlinux
Freikland Tuesday 1 May 2012 at 12:07
FreiklandAnonymous

Merci beaucoup, POL fonctionne avec cette version 4.0.19-dev "en développement" !

Donc, maintenant je dois toujours lancer POL avec ces commandes, en attendant la prochaine version stable sur le dépôt "precise" ?



Quentin PÂRIS Tuesday 1 May 2012 at 12:12
Quentin PÂRIS
Admin

C'est ça :)
Вы находитесь здесь: Index > PlayOnLinux > Playonlinux ne démarre plus...